// fltadd.cpp -- precision problems with float
#include <iostream>
using namespace std;
int main()
{
    float a = 2.34E+22f;
    float b = a + 1.0f;

    cout << "a = " << a << "\n";
    cout << "b - a = " << b - a << "\n";
    return 0;
}

